package init

import (
	"cicv-data-closedloop/pji/common/cfg"
	"cicv-data-closedloop/pji/common/svc"
)

func Init() {

	// 初始化本地配置文件（第1处配置，在本地文件）
	cfg.InitLocalConfig()

	// 初始化Oss连接信息
	cfg.InitOssConfig()

	// 初始化业务逻辑配置信息，配置文件在oss上（第2处配置，在oss文件）
	cfg.InitCloudConfig()

	go cfg.RefreshCloudConfig()

	// 初始化数据闭环平台的配置（第3处配置，在数据闭环平台接口）
	cfg.InitPlatformConfig()

	// 初始化ros节点
	cfg.InitRosConfig()

	// 维护data目录缓存的包数量
	go svc.BagCacheClean()

	// 磁盘占用过高时根据缓存策略处理copy目录
	go svc.DiskClean()

}
